Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_TLS_PRF_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_BYTE_PTR | pLabel
CK_BYTE_PTR | pOutput
CK_BYTE_PTR | pSeed
CK_ULONG_PTR | pulOutputLen
CK_ULONG | ulLabelLen
CK_ULONG | ulSeedLen

## Detailed Description

Definition at line 1617 of file pkcs11t.h.

## Member Data Documentation

CK_BYTE_PTR CK_TLS_PRF_PARAMS::pLabel

Definition at line 1620 of file pkcs11t.h.

CK_BYTE_PTR CK_TLS_PRF_PARAMS::pOutput

Definition at line 1622 of file pkcs11t.h.

CK_BYTE_PTR CK_TLS_PRF_PARAMS::pSeed

Definition at line 1618 of file pkcs11t.h.

CK_ULONG_PTR CK_TLS_PRF_PARAMS::pulOutputLen

Definition at line 1623 of file pkcs11t.h.

CK_ULONG CK_TLS_PRF_PARAMS::ulLabelLen

Definition at line 1621 of file pkcs11t.h.

CK_ULONG CK_TLS_PRF_PARAMS::ulSeedLen

Definition at line 1619 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h